Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Interface MessageCatalogException

All Known Implementing Classes:
  ApplicationException, AssociationAlreadyExistsException, AssociationCreationException, AssociationDeleteException, AssociationException, AssociationNotFoundException, AuthorizationException, BadInputException, BMPException, CaptureException, CatalogCreateException, CatalogDeploymentException, CatalogException, CatalogFinderException, CatalogOperationNotAuthorizedException, CatalogRemoveException, CatalogRootException, CategoryStructureCorruptException, CategoryStructureException, ConfigurationException, CreateSystemException, CurrencyMismatchException, DeploymentException, DiscountCreationException, DiscountException, DiscountInUseException, DiscountNotFoundException, DiscountParsingException, DiscountSystemException, FatalApplicationException, FatalWorkflowTransitionException, FinderSystemException, GeneralServiceException, IllegalWorkflowTransitionException, InconsistentStateException, InvalidArgumentException, InvalidAssociationException, InvalidConversionPolicyException, InvalidCreditCardException, InvalidCurrencyException, InvalidPipelineSessionStateException, InvalidPriceException, InvalidQuantityException, InvalidUnitException, ItemNotInShoppingCartException, MinimumPriceException, NamingSystemException, OrderInventoryException, OrderInvoicingException, OrderPackingException, OrderShippingException, PaymentException, PaymentProcessException, PipelineException, PipelineFatalException, PipelineNonFatalException, PriceEngineException, PricingException, ProcessingException, QuoteException, RemoteSystemException, RowNotFoundException, ServiceConfigurationException, ServiceUnavailableException, SettleException, ShippingMethodException, SystemException, TaxException, TaxUserException, UnimplementedException, UseCountLimitException, WebflowException, WorkflowInstantiationException

    public interface MessageCatalogException

The `MessageCatalogException` interface is the interface implemented by all `MessageCatalog`-aware exceptions. All such exceptions should contain both log and user messages that are constructed using the `MessageCatalog`.

See Also
  `MessageCatalog`

Method Summary
`void` | `addLogMessage(String namespace, String messageKey)` Adds a new log catalog message to the stack of associated messages.
`void` | `addLogMessage(String namespace, String messageKey, Object argument)` Adds a new log catalog message to the stack of associated messages.
`void` | `addLogMessage(String namespace, String messageKey, Object[] aguments)` Adds a new log catalog message to the stack of associated messages.
`void` | `addMessage(String namespace, String messageKey)` Adds a new user and log catalog message to the stack of associated messages.
`void` | `addMessage(String namespace, String messageKey, Object argument)` Adds a new user catalog message to the stack of associated messages.
`void` | `addMessage(String namespace, String messageKey, Object[] aguments)` Adds a new user catalog message to the stack of associated messages.
`void` | `addUserMessage(String namespace, String messageKey)` Adds a new user catalog message to the stack of associated messages.
`void` | `addUserMessage(String namespace, String messageKey, Object argument)` Adds a new user catalog message to the stack of associated messages.
`void` | `addUserMessage(String namespace, String messageKey, Object[] aguments)` Adds a new user catalog message to the stack of associated messages.
`Exception` | `getEmbeddedException()` Gets the embedded exception associated with this exception.
`String` | `getLogMessage()` Returns the first log catalog message associated with this exception.
`Iterator` | `getLogMessages()` Returns an iterator over all the log catalog messages associated with this exception.
`String` | `getUserMessage()` Returns the first user catalog message associated with this exception.
`Iterator` | `getUserMessages()` Returns an iterator over all the user catalog messages associated with this exception.

Method Detail

### getEmbeddedException

    Exception getEmbeddedException()

  Gets the embedded exception associated with this exception.

  Returns
    The embedded exception.

### getLogMessage

    String getLogMessage()

  Returns the first log catalog message associated with this exception.

  Returns
    The first log catalog message associated with this exception.

### getLogMessages

    Iterator getLogMessages()

  Returns an iterator over all the log catalog messages associated with this exception.

  Returns
    An iterator over all log catalog messages.

### getUserMessage

    String getUserMessage()

  Returns the first user catalog message associated with this exception.

  Returns
    The user catalog message associated with this exception.

### getUserMessages

    Iterator getUserMessages()

  Returns an iterator over all the user catalog messages associated with this exception.

  Returns
    An iterator over all user catalog messages.

### addLogMessage

    void addLogMessage(String namespace,
                       String messageKey)

  Adds a new log catalog message to the stack of associated messages.

  Parameters
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.

### addLogMessage

    void addLogMessage(String namespace,
                       String messageKey,
                       Object argument)

  Adds a new log catalog message to the stack of associated messages.

  Parameters
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.
    `argument` - Message parameter substitution argument.

### addLogMessage

    void addLogMessage(String namespace,
                       String messageKey,
                       Object[] aguments)

  Adds a new log catalog message to the stack of associated messages.

  Parameters
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.
    `arguments` - Message parameter substitution arguments.

### addUserMessage

    void addUserMessage(String namespace,
                        String messageKey)

  Adds a new user catalog message to the stack of associated messages.

  Parameters
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.

### addUserMessage

    void addUserMessage(String namespace,
                        String messageKey,
                        Object argument)

  Adds a new user catalog message to the stack of associated messages.

  Parameters
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.
    `argument` - Message parameter substitution argument.

### addUserMessage

    void addUserMessage(String namespace,
                        String messageKey,
                        Object[] aguments)

  Adds a new user catalog message to the stack of associated messages.

  Parameters
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.
    `arguments` - Message parameter substitution arguments.

### addMessage

    void addMessage(String namespace,
                    String messageKey)

  Adds a new user and log catalog message to the stack of associated messages.

  Parameters
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.

### addMessage

    void addMessage(String namespace,
                    String messageKey,
                    Object argument)

  Adds a new user catalog message to the stack of associated messages.

  Parameters
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.
    `argument` - Message parameter substitution argument.

### addMessage

    void addMessage(String namespace,
                    String messageKey,
                    Object[] aguments)

  Adds a new user catalog message to the stack of associated messages.

  Parameters
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.
    `arguments` - Message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved